## munin 2.0~rc2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Gnu make only.  Seriously.
 #
-# $Id: Makefile 4436 2011-10-11 11:50:50Z steve.schnepp $
+# $Id: Makefile 4694 2012-03-06 09:14:10Z kenyon $
 
 # Defaults/paths. Allows $(CONFIG) to be overrided by
 # make command line
@@ -18,7 +18,7 @@
 DIR              := $(shell /bin/pwd | sed 's/^.*\///')
 INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
 INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
-CLASSFILES       := $(shell find plugins/javalib/ -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
+CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
 PLUGINS		 := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/*)
 MANCENTER        := "Munin Documentation"
 MAN8		 := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph
@@ -43,7 +43,7 @@
 
 default: build
 
-uninstall: 
+uninstall:
 	echo "Uninstall is not implemented yet"
 
 # This removes the installed config so that the next install-pass installs
@@ -85,7 +85,7 @@
 	mkdir -p $(DBDIR)
 	mkdir -p $(CGIDIR)
 
-	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR) 
+	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
 	$(CHMOD) 0755 $(DBDIR)
 
 	for p in master/www/*.tmpl ;  do \
@@ -117,7 +117,7 @@
 	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
 	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html
 
-# Not ready to be installed yet	
+# Not ready to be installed yet
 # $(INSTALL) -m 0755 build/master/_bin/munin-gather $(LIBDIR)/
 
 # ALWAYS DO THE OS SPECIFIC PLUGINS LAST! THAT WAY THEY OVERWRITE THE
@@ -233,7 +233,6 @@
              -e 's|@@GOODSH@@|$(GOODSH)|g'                      \
              -e 's|@@BASH@@|$(BASH)|g'                          \
              -e 's|@@HASSETR@@|$(HASSETR)|g'                    \
-             -e 's|@@SSPOOLDIR@@|$(SSPOOLDIR)|g'                \
              $< > $@;
 
 
@@ -271,8 +270,7 @@
                   s{(PLUGINUSER	\s+=\s).*}{\1q{$(PLUGINUSER)};}x;  \
                   s{(GOODSH	\s+=\s).*}{\1q{$(GOODSH)};}x;      \
                   s{(BASH	\s+=\s).*}{\1q{$(BASH)};}x;        \
-                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;     \
-	          s{(SSPOOLDIR	\s+=\s).*}{\1q{$(SSPOOLDIR)};}x;'  \
+                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;'    \
                   $< > $@
 
 build-doc: build-doc-stamp Makefile Makefile.config
@@ -290,3 +288,6 @@
 	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) build/"$$f" > build/doc/`basename $$f`.8; \
 	done
 	for f in $(PODMAN8); do \
+	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) "$$f".pod > build/doc/`basename $$f .pod`.8; \
+	done
+	for f in $(PODMAN5); do \
