## munin 2.0.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Gnu make only.  Seriously.
 #
-# $Id: Makefile 4694 2012-03-06 09:14:10Z kenyon $
+# $Id$
 
 # Defaults/paths. Allows $(CONFIG) to be overrided by
 # make command line
@@ -12,7 +12,7 @@
 include $(DEFAULTS)
 include $(CONFIG)
 
-RELEASE          := $(shell cat RELEASE)
+RELEASE          := $(shell $(CURDIR)/getversion)
 INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
 INSTALL          := ./install-sh
 DIR              := $(shell /bin/pwd | sed 's/^.*\///')
@@ -83,10 +83,14 @@
 	mkdir -p $(PERLLIB)/Munin/Master
 	mkdir -p $(HTMLDIR)
 	mkdir -p $(DBDIR)
+	mkdir -p $(DBDIR)/cgi-tmp
 	mkdir -p $(CGIDIR)
 
 	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
 	$(CHMOD) 0755 $(DBDIR)
+
+	$(CHOWN) $(CGIUSER) $(DBDIR)/cgi-tmp
+	$(CHMOD) 0755 $(DBDIR)/cgi-tmp
 
 	for p in master/www/*.tmpl ;  do \
 		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
@@ -135,7 +139,8 @@
 	mkdir -p $(PLUGSTATE)
 
 	$(CHOWN) $(PLUGINUSER):$(GROUP) $(PLUGSTATE)
-	$(CHMOD) 0775 $(PLUGSTATE)
+	# using g+rwxs, so plugins can create and modify their state file without help
+	$(CHMOD) 02775 $(PLUGSTATE)
 	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d
 
 	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
@@ -158,8 +163,8 @@
 
 install-async-prime:
 	mkdir -p $(LIBDIR)
-	$(INSTALL) -m 0755 build/node/_bin/munin-async-client $(LIBDIR)/
-	$(INSTALL) -m 0755 build/node/_bin/munin-async-server $(LIBDIR)/
+	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
+	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/
 
 install-node-prime: install-node-pre install-node
 
@@ -288,6 +293,3 @@
 	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) build/"$$f" > build/doc/`basename $$f`.8; \
 	done
 	for f in $(PODMAN8); do \
-	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) "$$f".pod > build/doc/`basename $$f .pod`.8; \
-	done
-	for f in $(PODMAN5); do \
