## munin 2.0.17

=== Makefile ===
--- 
+++ 
@@ -173,7 +173,9 @@
 # configure plugins.  Or not. Better done under the direction of the installer
 # or the packager.
 
-install-async-prime:
+install-async-prime: install-async
+
+install-async:
 	mkdir -p $(LIBDIR)
 	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
 	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/
@@ -296,4 +298,3 @@
 
 build-man-stamp:
 	touch build-man-stamp
-	mkdir -p build/doc
