## munin 2.0.19

=== Makefile ===
--- 
+++ 
@@ -213,7 +213,7 @@
 # Dummy rule to enable parallel building
 infiles: $(INFILES)
 
-build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man
+build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man substitue-confvar-inline
 
 build/%: %.in
 	@echo "$< -> $@"
@@ -253,48 +253,37 @@
 
 build-common-prime: build-common-pre common/blib/lib/Munin/Common/Defaults.pm build-common
 
-build-common-pre: common/Build
-	cd common && $(PERL) Build code
-
-common/blib/lib/Munin/Common/Defaults.pm: common/lib/Munin/Common/Defaults.pm build-common-pre
-	rm -f common/blib/lib/Munin/Common/Defaults.pm
-	$(PERL) -pe 's{(PREFIX     \s+=\s).*}{\1q{$(PREFIX)};}x;   \
-                  s{(CONFDIR    \s+=\s).*}{\1q{$(CONFDIR)};}x;     \
-                  s{(BINDIR     \s+=\s).*}{\1q{$(BINDIR)};}x;      \
-                  s{(SBINDIR    \s+=\s).*}{\1q{$(SBINDIR)};}x;     \
-                  s{(DOCDIR     \s+=\s).*}{\1q{$(DOCDIR)};}x;      \
-                  s{(LIBDIR	\s+=\s).*}{\1q{$(LIBDIR)};}x;      \
-                  s{(MANDIR	\s+=\s).*}{\1q{$(MANDIR)};}x;      \
-                  s{(LOGDIR	\s+=\s).*}{\1q{$(LOGDIR)};}x;      \
-                  s{(HTMLDIR	\s+=\s).*}{\1q{$(HTMLDIR)};}x;     \
-                  s{(DBDIR	\s+=\s).*}{\1q{$(DBDIR)};}x;       \
-                  s{(STATEDIR	\s+=\s).*}{\1q{$(STATEDIR)};}x;    \
-		  s{(SPOOLDIR	\s+=\s).*}{\1q{$(SPOOLDIR)};}x;    \
-                  s{(PERL	\s+=\s).*}{\1q{$(PERL)};}x;        \
-                  s{(PERLLIB	\s+=\s).*}{\1q{$(PERLLIB)};}x;     \
-                  s{(PYTHON	\s+=\s).*}{\1q{$(PYTHON)};}x;      \
-                  s{(RUBY       \s+=\s).*}{\1q{$(RUBY)};}x;        \
-                  s{(OSTYPE	\s+=\s).*}{\1q{$(OSTYPE)};}x;      \
-                  s{(HOSTNAME	\s+=\s).*}{\1q{$(HOSTNAME)};}x;    \
-                  s{(MKTEMP	\s+=\s).*}{\1q{$(MKTEMP)};}x;      \
-                  s{(VERSION	\s+=\s).*}{\1q{$(VERSION)};}x;     \
-                  s{(PLUGSTATE	\s+=\s).*}{\1q{$(PLUGSTATE)};}x;   \
-                  s{(CGIDIR	\s+=\s).*}{\1q{$(CGIDIR)};}x;      \
-                  s{(USER	\s+=\s).*}{\1q{$(USER)};}x;        \
-                  s{(GROUP	\s+=\s).*}{\1q{$(GROUP)};}x;       \
-                  s{(PLUGINUSER	\s+=\s).*}{\1q{$(PLUGINUSER)};}x;  \
-                  s{(GOODSH	\s+=\s).*}{\1q{$(GOODSH)};}x;      \
-                  s{(BASH	\s+=\s).*}{\1q{$(BASH)};}x;        \
-                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;'    \
-                  $< > $@
-
-build-doc: build-doc-stamp Makefile Makefile.config
-
-build-doc-stamp:
-	touch build-doc-stamp
-	mkdir -p build/doc
-
-build-man: build-man-stamp Makefile Makefile.config
-
-build-man-stamp:
-	touch build-man-stamp
+substitue-confvar-inline:
+	@sed -e 's|@@PREFIX@@|$(PREFIX)|g'                      \
+             -e 's|@@CONFDIR@@|$(CONFDIR)|g'                    \
+             -e 's|@@BINDIR@@|$(BINDIR)|g'                      \
+             -e 's|@@SBINDIR@@|$(SBINDIR)|g'                    \
+             -e 's|@@DOCDIR@@|$(DOCDIR)|g'                      \
+             -e 's|@@LIBDIR@@|$(LIBDIR)|g'                      \
+             -e 's|@@MANDIR@@|$(MANDIR)|g'                      \
+             -e 's|@@LOGDIR@@|$(LOGDIR)|g'                      \
+             -e 's|@@HTMLDIR@@|$(HTMLDIR)|g'                    \
+             -e 's|@@DBDIR@@|$(DBDIR)|g'                        \
+             -e 's|@@STATEDIR@@|$(STATEDIR)|g'                  \
+             -e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g'                  \
+             -e 's|@@PERL@@|$(PERL)|g'                          \
+             -e 's|@@PERLLIB@@|$(PERLLIB)|g'                    \
+             -e 's|@@PYTHON@@|$(PYTHON)|g'                      \
+             -e 's|@@RUBY@@|$(RUBY)|g'                          \
+             -e 's|@@JAVARUN@@|$(JAVARUN)|g'                    \
+             -e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g'              \
+             -e 's|@@OSTYPE@@|$(OSTYPE)|g'                      \
+             -e 's|@@HOSTNAME@@|$(HOSTNAME)|g'                  \
+             -e 's|@@MKTEMP@@|$(MKTEMP)|g'                      \
+             -e 's|@@VERSION@@|$(VERSION)|g'                    \
+             -e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g'                \
+             -e 's|@@CGIDIR@@|$(CGIDIR)|g'                      \
+             -e 's|@@USER@@|$(USER)|g'                          \
+             -e 's|@@GROUP@@|$(GROUP)|g'                        \
+             -e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g'              \
+             -e 's|@@GOODSH@@|$(GOODSH)|g'                      \
+             -e 's|@@BASH@@|$(BASH)|g'                          \
+             -e 's|@@HASSETR@@|$(HASSETR)|g'                    \
+             --in-place                                         \
+             ./master/blib/libdoc/Munin::Master::HTMLOld.3pm    \
+             ./master/blib/lib/Munin/Master/HTMLOld.pm          \
