## munin 2.0.21

=== debian/changelog ===
munin (2.0.21-2build1) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:40:11 +0100

munin (2.0.21-2) unstable; urgency=medium

  * Move dependency «adduser» to «munin-common»
  * debian/tests: Use «setuidgid» to run tests as another user
  * debian/tests: wait 10 seconds for a listening port
  * Update breaks/replaces for munin-plugins-core (Closes: #747696)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 11 May 2014 14:51:17 +0200

munin (2.0.21-1) unstable; urgency=low

  [ Matthias Schmitz ]
  * Add configuration files for apache 2.4. (Closes: #722654, #672767)
  * Replace dependency to ttf-dejavu by fonts-dejavu due to package renaming
    (Closes: #737957).

  [ Holger Levsen ]
  * Recommend libcgi-fast-perl for munin as munin-cgi-graph needs this for
    zoomable graphs. (Closes: #737135)
  * Add "Testsuite: autopkgtest" to source entry in debian/control, so
    ci.debian.net will automatically pick it up.

  [ Stig Sandbeck Mathisen ]
  * Add instructions for "git-buildpackage / gbp"
  * Add new packaging guide
  * Import upstream release 2.0.21
  * Add patch to fix http_loadtime plugin
  * Use 3.0 (quilt) as source format
  * Update DEP-8 tests - use sharness
  * munin-common: handle munin user creation
  * Remove redundant Suggests: libcgi-fast-perl

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 10 May 2014 20:12:44 +0200

munin (2.0.19-3) unstable; urgency=medium

  [ Matthias Schmitz ]
  * Delete all state data from /var/lib/munin-node/plugin-state/ during purge
    of munin-plugins-core. (Closes: #732462)

 -- Holger Levsen <holger@debian.org>  Sat, 25 Jan 2014 23:02:44 +0100

munin (2.0.19-2) unstable; urgency=low

  * Provide upstart file for munin-async. (Closes: #732030)
    Thanks to James Page.

 -- Holger Levsen <holger@debian.org>  Fri, 13 Dec 2013 12:50:22 +0100

munin (2.0.19-1) unstable; urgency=low

  * New upstream bugfix release.
  * Provide upstart files for munin and munin-node. (Closes: #732002)
    Thanks to James Page and Chuck Short for writing these.
  * Bump standards-version to 3.9.5, no changes necessary.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Dec 2013 13:54:59 +0100

munin (2.0.18-1) unstable; urgency=high

  * Imported upstream release 2.0.18 (CVE-2013-6359, CVE-2013-6048)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 19 Nov 2013 13:05:16 +0100

munin (2.0.17-3) unstable; urgency=low

  * munin-common: Call systemd-tmpfiles on install (Closes: #720875)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 Oct 2013 10:56:21 +0200

munin (2.0.17-2) unstable; urgency=low

  [ Matthias Schmitz ]
  * Don't remove munin's apache2.4 configuration on removal. This is the
    behavior as we do with the apache2.2 configuration.
  * As apache2-maintscript-helper doesn't work if called from a function we now
    give $@ of the postinst to our apache_install function. (Closes: #718959)

  [ Holger Levsen ]
  * munin-async.init:
    - provide LSB status command.
    - fix $SCRIPTNAME.
    - rm pid file on stop. 
    Thanks to Daniel Black for the patch. (Closes: #720280)
  * munin-node.cron.d: use munin-run to run plugins. (Closes: #720275)
  * Provide examples how to configure munin for nginx, thanks to Daniel
    Dehennin. (Closes: #684466)

 -- Holger Levsen <holger@debian.org>  Thu, 29 Aug 2013 20:58:58 +0000

munin (2.0.17-1) unstable; urgency=low

  [ Holger Levsen ]
  * New upstream version. (Closes: #712793, #717265)
  * Drop debian/munin-async.logrotate and also add code to
    munin-async.postinst to remove that file (and keep a backup if it was
    modified) on upgrades from older versions. (Closes: #717260)

  [ Matthias Schmitz ]
  * Don't make new touched logs munin-cgi-graph.log and munin-cgi-html.log
    executable in postinst. (Closes: #717847)
  * Don't remove /var/lib/munin-node in munin-node's postrm. The directory
    belongs to munin-plugins-core.
  * Really remove munin config snippet from apache2/conf.d during postrm.
    (Closes: #708864)

 -- Holger Levsen <holger@debian.org>  Tue, 30 Jul 2013 01:03:05 +0200

munin (2.0.16-3) unstable; urgency=low

  * Add systemd units

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 16 Jul 2013 14:15:18 +0200

munin (2.0.16-2) unstable; urgency=low

  * plugins/df: ignore devtmpfs. Cherry picked ab42e8b as efe4526 from 
    upcoming 2.0.17. (Closes: #710899)
  * Add libcgi-fast-perl as alternative suggests. (Closes: #711272)

 -- Holger Levsen <holger@debian.org>  Sun, 09 Jun 2013 16:54:33 +0200

munin (2.0.16-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 04 Jun 2013 09:21:56 +0200

munin (2.0.15-1) unstable; urgency=low

  [ Holger Levsen ]
  * Remove Tom Feiner and Steve Schnepp from debian/control. Thanks for all
    your work, Tom and Steve!

  [ Stig Sandbeck Mathisen ]
  * New upstream version (Closes: #710527, #710529)
  * Add dep8 autopkg tests
  * Remove /var/lib/munin-node/ when purging munin-node

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 01 Jun 2013 23:20:45 +0200

munin (2.0.14-1) unstable; urgency=low

  * New upstream bugfix release. (Closes: #707811) - See upstream changelog
    for the full list of changes.
  * ntp_ plugin was moved from munin-plugins-extra to munin-plugins-core, add
    appropriate Breaks: and Replaces: relationsships. (Closes: #707611)
  * Make dependencies on librrds-perl and liblog-log4perl-perl unversioned.

 -- Holger Levsen <holger@debian.org>  Sun, 12 May 2013 15:50:01 +0200

munin (2.0.13-1) unstable; urgency=low

  * New upstream release. (Closes: #558800, 702442) - See upstream changelog
    for the full list of changes.
  * Add conntrack to munin-plugins-core suggests. (upstream trac #1267)
    (Closes: #691048)
  * munin-node.init: drop support for sarge, five years after Debian dropped
    it.

